oracle.xml.xquery

## Interface OXQAnnotation

    public interface OXQAnnotation

Models an XQuery function annotation.

See Also:
  `OXQFunctionMetaData.getAnnotations()`, `OXQConnection.createAnnotation(QName, XQSequence)`

### Method Summary

All Methods Instance Methods Abstract Methods
`javax.xml.namespace.QName` `getName()` Returns the name of the annotation.
`XQSequence` `getValue()` Returns the value of the annotation.

### Method Detail

#### getName

    javax.xml.namespace.QName getName()

Returns the name of the annotation.

Returns:
  the name of the annotation

#### getValue

    XQSequence getValue()

Returns the value of the annotation. If the annotation has no value, the the empty sequence will be returned.

Returns:
  the value of the annotation

Copyright © 2003, 2020, Oracle and/or its affiliates.